TAAS - Feature #52

Paid Cheque
09/22/2022 11:32 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/23/2022
Priority: Normal Due date: 09/27/2022
Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 32:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Paid Cheque

Description

Coding Paid Cheque

History

#1 - 09/27/2022 11:13 AM - Anil KV
Deletetion SP

sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:25 PM - Anil KV
Ref: Customer #60

#3 - 10/07/2022 01:38 PM - Anil KV

accounts.tbl_account->sin_ac_category =
-- 16 = Current Cheque Issued Accounts
-- 17 =PDC Issued Accounts

#4 - 10/08/2022 04:13 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.html added

- File sql.sql added

#5 - 10/27/2022 10:32 AM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#6 - 11/01/2022 04:36 PM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 11/07/2022 05:12 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELD RED
http://103.145.37.7:82/redmine/issues/60

2.'PRIVILAGE TO' MANDATORY

#8 - 11/08/2022 04:44 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 11/10/2022 04:09 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET VALIDATION ON MAXIMUM LIMIT

#10 - 11/28/2022 02:11 PM - Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELDS REQUIRED AND RED
2.SET DEFAULT CURRENCY MANDATORY

#11 - 12/12/2022 01:13 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 12/12/2022 05:57 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.RESIZE GRID COLUMNS

2.SET VALIDATION ON MAXIMUM LIMIT
3.SET BRANCH MANDATORY

#13 - 01/16/2023 07:26 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 01/17/2023 01:59 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.RESIZE STATUS COLUMN
2.ALLOW UPPER & LOWER CASE ON NAME

#15 - 01/17/2023 02:17 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 03/02/2023 12:05 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Main ledger set as mandatory
(Edit Mode --> change type and update)

P0001: jsnSglRes:
E ptioaHint" SO ——statement UPBATE—= wRts—thi—a st —SET—vhr—a wt—eod S Tre
>>'strAccountCode', \r\n vhr_mapping_code = jsnAccount->>'strMappingCode',\r\n vhr_reference_no = jsnAccount->>
'strReferenceNo', \r\n vhr_account_name = jsnAccount->>'strAccountName',\r\n vhr_display_name = jsnAccount->>'s

trDisplayName', \r\n\r\n fk_category_id = CAST (JjsnAccount->>'binCategoryId' AS BIGINT),\r\n fk_group_id = CAST (
jsnAccount->>'binGroupId' AS BIGINT),\r\n fk_type_id = CAST (jsnAccount—>>'binTypeId' AS BIGINT),\r\n fk_family
_id = CAST(jsnAccount->>'binFamilyId' AS BIGINT), \r\n\r\n fk_default_main_ledger_id = CAST (jsnAccount->>'binDe
faultMainLedgerId' AS BIGINT), \r\n fk_customer_main_ledger_id = CAST (jsnAccount->>'binCustomerMainLedgerId' AS
BIGINT), \r\n fk_supplier_main_ledger_id = CAST (jsnAccount—>>'binSupplierMainLedgerId' AS BIGINT), \r\n fk_comm
ission_agent_main_ledger_id = CAST (jsnAccount->>'binCommissionAgentMainLedgerId' AS BIGINT), \r\n\r\n vhr_defau
1t_currency_code = jsnAccount->>'strDefaultCurrencyCode',\r\n art_currency_codes = STRING_TO_ARRAY (jsnAccount—
>>'strDbArtCurrencyCodes', ','):: VARCHAR[], \r\n\r\n sin_ac_category = CAST (jsnAccount->>'sinAcCategory' AS S
MALLINT),\r\n sin_if_customer = CAST (jsnAccount->>'sinIfCustomer' AS SMALLINT),\r\n sin_if_supplier = CAST(jsn
Account->>'sinIfSupplier' AS SMALLINT),\r\n sin_if_commission_agent = CAST (jsnAccount->>'sinIfCommissionAgent'
AS SMALLINT),\r\n\r\n sin_if_sys_account = CAST (jsnAccount->>'sinIfSysAccount' AS SMALLINT),\r\n sin_permissi
on_to_all = CAST(jsnAccount->>'sinPermissionToAll' AS SMALLINT),\r\n ari_permitted_user_roles = STRING_TO_ARRA
Y (jsnAccount—>>"'strDbAriPermittedUserRoles', ', ') ::SMALLINT[],\r\n sin_sys_ac_type = CAST (JjsnAccount->>'sinSys
AcType' AS SMALLINT),\r\n\r\n txt_remarks = jsnAccount->>'strRemarks',6 \r\n txt_message = jsnAccount->>'strMess
age',\r\n\r\n arb_fk_branch_ids = STRING_TO_ARRAY (jsnAccount->>'strDbArlFkBranchIds', ',')::BIGINT[],\r\n arb_
fk_service_ids = STRING_TO_ARRAY (jsnAccount—>>'strDbArlFkServicelds', ',')::BIGINT[], \r\n\r\n vhr_phone = jsnA
ccount->>'strPhone', \r\n vhr_email = jsnAccount->>'strEmail', \r\n vhr_address = jsnAccount->>'strAddress', \r\n
vhr_display_address = jsnAccount->>'strDisplayAddress', \r\n\r\n fk_approval_user_id = CAST (jsnAccount->>"'binA
pprovalUserId' AS BIGINT),\r\n sin_approvel_status = CAST (JjsnAccount->>'sinApprovelStatus' AS SMALLINT), \r\n\r
\n sin_record_status = CAST(jsnAccount->>'sinRecordStatus' AS SMALLINT),\r\n sin_order = CAST (jsnAccount—->>'si
nOrder' AS SMALLINT),\r\n\r\n\r\n int_sys_action_id = int_sys_action_id + 1,\r\n fk_last_modified_user_id = CA
ST (jsnAccount—>>'binLastModifiedUserId' AS BIGINT),\r\n dtm_last_modified = dtmCurrent\r\n WHERE pk_account_id
= CAST (jsnAccount—->>'binAccountId' AS BIGINT) RETURNING pk_account_id\"\nPL/pgSQL function sp_insert_or_updat
e_account (jsonb) line 151 at SQL statement\nSQL statement \"CALL sp_insert_or_update_account (jsnAccount, jsnSp
OutRes) \"\nPL/pgSQL function sp_insert_or_update_paid_cheque_acs (jsonb, jsonb, jsonb) line 31 at CALL", "binSglP
k" : 0, "binSglLogPk" : 0, "strSglDocNo" : null, "dctSqglOtherData" : {"binCustomerId": null, "strAccountCode":
"PCHOO1", "binPaidChequeAcsId": null}}

#17 - 03/02/2023 12:40 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#18 - 03/11/2023 04:52 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix duplication bugs on grid
(Sort--> Update)

#19 - 03/11/2023 06:54 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#20 - 05/09/2023 04:01 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency

#21 - 05/10/2023 10:53 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#22 - 05/13/2023 05:43 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix duplication error while save act as client
#23 - 05/29/2023 03:54 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 06/12/2023 06:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required
(Set red star on Status)

2.Set tool tips on GUI

#25 - 06/13/2023 02:41 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#26 - 11/23/2023 12:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED
1.CHANGE TO ACTIVE TAB WHILE CHOOSING NEW BUTTON

#27 - 11/24/2023 02:59 PM - Junaid M
- Assignee changed from Christy Saint to Sibin Babu

#28 - 11/27/2023 04:53 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 11/27/2023 05:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

TESTING DONE

#30 - 11/27/2023 05:06 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 01/31/2024 12:47 PM - Junaid M

- Assignee changed from Sibin Babu to Baseem Shan

#32 - 02/10/2024 04:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#33 - 02/14/2024 10:02 AM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V
#34 - 02/14/2024 01:10 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#35 - 03/25/2024 02:54 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.VALIDATION FOR BRANCH MULTY SELECTION
2.ADD BLANK OPTION IN AUTO INV BRANCH SELECT FIELD

#36 - 03/26/2024 12:37 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.VALIDATION FOR BRANCH MULTY SELECTION
2.ADD BLANK OPTION IN AUTO INV BRANCH SELECT FIELD

#37 - 03/26/2024 02:13 PM - unnikannan S
TESTING DONE

#38 - 10/11/2024 02:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Deleted account still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#39 - 10/14/2024 04:34 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#40 - 10/14/2024 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 11/15/2024 12:57 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#42 - 02/03/2025 10:43 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

Act as client should be default untick.

#43 - 02/03/2025 10:44 AM - Arathy PS
- Assignee changed from Greeshma S to Sreeranjini T

#44 - 02/03/2025 12:47 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 02/04/2025 10:12 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 993 Bytes 10/08/2022 Anil KV
1-CsModel.cs 1.19 KB 10/08/2022 Anil KV
3-CsFile.cs 10.7 KB 10/08/2022 Anil KV
4-CsControllerFile.cs 24.3 KB 10/08/2022 Anil KV
5-TsFile.ts 13.4 KB 10/08/2022 Anil KV
sql.sql 10.1 KB 10/08/2022 Anil KV
6-HtmlIFile.html 1.9 KB 10/08/2022 Anil KV

05/03/2025

6/6


http://www.tcpdf.org

